Subject: Re: PATH modifications for git-hook processes

From: Jeff King <[email-masked]>
Date: Thu, 16 Apr 2015 02:31:37 -0400

On Thu, Apr 16, 2015 at 02:17:32AM -0400, Jeff King wrote:

> So it uses a special git-specific version of exec, and doesn't touch the
> PATH. Later, we did 231af83 (Teach the "git" command to handle some
> commands internally, 2006-02-26), which says at the end:
> 
>    There's one other change: the search order for external programs is
>    modified slightly, so that the first entry remains GIT_EXEC_DIR, but
>    the second entry is the same directory as the git wrapper itself was
>    executed out of - if we can figure it out from argv[0], of course.
> 
> There was some question of whether this would be a problem[1], but we
> realized it is OK due to 77cb17e, mentioned above.

I forgot to include my footnote, which was a link to the thread:

  http://thread.gmane.org/gmane.comp.version-control.git/16798

-Peff